学习者数据/Bearer
Read learner profile
Read the current user's normalized IELTS skill profile and lightweight 30-day evidence summary. For a chronological activity list, use footprints.list; for concrete practice records, use practice.recent_activity.
Endpoint
POST
/api/v1/agent/capabilities/ielts_learner_read_profile请求参数
| 字段 | 类型 | 必填 | 说明 |
|---|---|---|---|
| skill | | writing | speaking | reading | listening | 否 | Optional skill filter. |
调用示例
curl -X POST \
'https://work.ieltsbuddy.igopx.cn/api/v1/agent/capabilities/ielts_learner_read_profile' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer $IELTS_BUDDY_TOKEN' \
--data '{"skill":""}'请求结构
{
"type": "object",
"properties": {
"skill": {
"default": "",
"description": "Optional skill filter.",
"type": "string",
"enum": [
"",
"writing",
"speaking",
"reading",
"listening"
]
}
},
"required": [
"skill"
],
"additionalProperties": false
}统一响应
接口结果位于 data;code 为 0 表示调用成功。
{
"code": 0,
"data": {},
"message": "ok"
}错误码
400
40001请求参数不符合接口契约401
40101缺少或使用了无效的访问令牌403
40301访问令牌不包含接口所需权限404
40401接口或目标资源不存在